Agora C++ API Reference for All Platforms

Loading...
Searching...
No Matches
Public Member Functions | List of all members
agora::rtc::ICameraCapturer::IDeviceInfo Class Referenceabstract

`#include <NGIAgoraCameraCapturer.h>`

## Public Member Functions
virtual | ~IDeviceInfo ()
virtual void | release ()=0
virtual uint32_t | NumberOfDevices ()=0
virtual int32_t | GetDeviceName (uint32_t deviceNumber, char *deviceNameUTF8, uint32_t deviceNameLength, char *deviceUniqueIdUTF8, uint32_t deviceUniqueIdLength, char *productUniqueIdUTF8=0, uint32_t productUniqueIdLength=0, char *deviceTypeUTF8=0, uint32_t deviceTypeLength=0)=0
virtual int32_t | NumberOfCapabilities (const char *deviceUniqueIdUTF8)=0
virtual int32_t | GetCapability (const char *deviceUniqueIdUTF8, const uint32_t capabilityIndex, VideoFormat &capability)=0

## Detailed Description

The IDeviceInfo class, which manages the information of available cameras.

## Constructor & Destructor Documentation

## ◆ ~IDeviceInfo()

virtual agora::rtc::ICameraCapturer::IDeviceInfo::~IDeviceInfo | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ release()

virtual void agora::rtc::ICameraCapturer::IDeviceInfo::release | ( |  | ) |
| pure virtual

Releases the device.

## ◆ NumberOfDevices()

virtual uint32_t agora::rtc::ICameraCapturer::IDeviceInfo::NumberOfDevices | ( |  | ) |
| pure virtual

Gets the number of all available cameras.

Returns
  The number of all available cameras.

## ◆ GetDeviceName()

virtual int32_t agora::rtc::ICameraCapturer::IDeviceInfo::GetDeviceName | ( | uint32_t | deviceNumber,
|  | char * | deviceNameUTF8,
|  | uint32_t | deviceNameLength,
|  | char * | deviceUniqueIdUTF8,
|  | uint32_t | deviceUniqueIdLength,
|  | char * | productUniqueIdUTF8 = 0,
|  | uint32_t | productUniqueIdLength = 0,
|  | char * | deviceTypeUTF8 = 0,
|  | uint32_t | deviceTypeLength = 0 )
| pure virtual

Gets the name of a specified camera.

Parameters

  deviceNumber | The index number of the device.
  deviceNameUTF8 | The name of the device.
  deviceNameLength | The length of the device name.
  deviceUniqueIdUTF8 | The unique ID of the device.
  deviceUniqueIdLength | The length of the device ID.
  productUniqueIdUTF8 | The unique ID of the product.
  productUniqueIdLength | The length of the product ID.
  deviceTypeUTF8 | The camera type of the device.
  deviceTypeLength | The length of the camera type.

Returns
  The name of the device in the UTF8 format: Success.

## ◆ NumberOfCapabilities()

virtual int32_t agora::rtc::ICameraCapturer::IDeviceInfo::NumberOfCapabilities | ( | const char * | deviceUniqueIdUTF8 | ) |
| pure virtual

Sets the capability number for a specified device.

Parameters

  deviceUniqueIdUTF8 | The pointer to the ID of the device in the UTF8 format.

Returns
  The capability number of the device.

## ◆ GetCapability()

virtual int32_t agora::rtc::ICameraCapturer::IDeviceInfo::GetCapability | ( | const char * | deviceUniqueIdUTF8,
|  | const uint32_t | capabilityIndex,
|  | VideoFormat & | capability )
| pure virtual

Gets the capability of a specified device.

Parameters

  deviceUniqueIdUTF8 | The pointer to the ID of the device in the UTF8 format.
  capabilityIndex | The capability index of the device.
  capability | The reference to the video capability. See `VideoFormat`.

Returns
  The capability number of the device.